Summary: The GNU versions of grep pattern matching utilities.
Name: grep
Version: 2.5.1
Release: 3tr
License: GPL
Group: Trustix Official
Source: ftp://ftp.gnu.org/gnu/grep/grep-%{version}.tar.gz
Patch0: grep-2.5-pcre.h.patch
Patch1: grep-2.5-egrep.patch
Patch2: grep-2.5-i18n.patch
Patch3: grep-2.5-oi.patch
Patch5: grep-2.5-bracket.patch

Patch6: grep-2.5.1-manpage.patch
Patch7: grep-2.5.1-option_io_combo-1.patch
Patch8: grep-2.5.1-raq2_config_update-1.patch

Buildroot: /var/tmp/%{name}-root

%description
The GNU versions of commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.  

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

%prep
%setup -q
%patch0 -p1
#%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch5 -p1

%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--prefix=%{_prefix} \
	--exec-prefix=/ \
	--disable-perl-regexp \
	--mandir=%{_mandir}
make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make LDFLAGS=-s prefix=$RPM_BUILD_ROOT%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT install

#pushd $RPM_BUILD_ROOT/bin
	#ln  grep egrep
	#ln  grep fgrep
#popd

mkdir -p $RPM_BUILD_ROOT/usr/share/locale
mv $RPM_BUILD_ROOT/var/tmp/grep-root/usr/share/locale/* $RPM_BUILD_ROOT/usr/share/locale


rm $RPM_BUILD_ROOT/var/tmp/grep-root/usr/info/grep.info

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc ABOUT-NLS AUTHORS THANKS TODO NEWS README ChangeLog
/bin/*
/usr/share/man/*/*
/usr/share/locale/*/LC_MESSAGES/grep.mo

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Thu Apr 07 2005 Raghu <raghu at comodo dot com> 2.5.1-1tr
- New Upstream

* Thu Mar 17 2005 Lakshmi Dinamoni <lakshmi at comodo dot com> 2.5.1-14tr
- Rebuild with glibc-2.3.4-6tr

* Thu Mar 10 2005 Oystein Viggen <oysteivi at trustix dot com> 2.5.1-12tr
- Include previously unpackaged locale files

* Thu Sep 23 2004 Syed Shabir <syedshabir at comodo dot com> 2.5.1-1tr
- Applied i18n and other patches

* Mon Dec 15 2003 Erlend Midttun <erlendbm at trustix dot org> 2.5-7tr
- Rebuilt.

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 2.5-6tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.5-5tr
- Big rebuild

* Thu May 22 2003 Tore Olsen <toreo at trustix dot com> 2.5-4to
- Really disable perl regexp.

* Wed May 21 2003 Erlend Midttun <erlendbm at trustix dot com> 2.5-3em
- Disable perl regexp.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.5-2em
- Rebuilt against glibc 2.3.2.

* Tue Aug 13 2002 Christian H. Toldnes <christht at trustix dot com> 2.5-1ct
- New upstream version.
- Removed the info stuff.
- Patched to actually find pcre.h (Patch 0)

* Tue Jul 23 2002 Daniel Meyer <eagle at trustix dot org> 2.4.2-4dm
- rebuild for Trustix Secure Linux 2.0

* Tue Jul 17 2001 Erlend Midttun <erlendbm at trustix dot com>
- Inc serial number before release.

* Thu May 11 2000 Oystein Viggen <oysteivi at trustix dot com>
- version 2.4.2

* Mon Jan 24 2000 Tore Olsen <toreo at trustix dot com>
- upgraded to 2.4
- moved man and info directories to /usr/share for FHS compliance
- removed locales.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to grep 2.3, added install-info %post/%preun for info

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sat May 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.2

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- updated from 2.0 to 2.1
- spec file cleanups
- added BuildRoot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
